
SELinux - Bug #35695

Foreman can't log to journald/syslog

10/31/2022 12:45 PM - Evgeni Golov

Status: Closed   

Priority: Normal   

Assignee: Evgeni Golov   

Category: General Foreman   

Target version:    

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-s

elinux/pull/149

  

Description

You get denials like this:

type=AVC msg=audit(1667219808.092:2591): avc:  denied  { write } for  pid=34898 comm=70756D6120737

27620747020303032 name="socket" dev="tmpfs" ino=11457 scontext=system_u:system_r:foreman_rails_t:s

0 tcontext=system_u:object_r:syslogd_var_run_t:s0 tclass=sock_file permissive=0

Associated revisions

Revision 1468b15b - 10/31/2022 12:58 PM - Evgeni Golov

Fixes #35695 - allow foreman_rails_t to access syslog sockets

History

#1 - 10/31/2022 12:47 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-selinux/pull/149 added

#2 - 10/31/2022 12:58 PM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#3 - 10/31/2022 01:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset 1468b15b45495caed8fbbeb208fa3a0524a8d141.

#4 - 11/28/2022 12:16 PM - Ewoud Kohl van Wijngaarden

- Category set to General Foreman

- Triaged changed from No to Yes
